<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XImportedDirectoryUriCatalogs StructType
 * @subpackage Structs
 */
class XImportedDirectoryUriCatalogs extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The routeString
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $routeString;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $description;
    /**
     * The lastLoadedFileName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $lastLoadedFileName;
    /**
     * The fileLoadDateTime
     * Meta information extracted from the WSDL
     * - default: 0
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $fileLoadDateTime;
    /**
     * Constructor method for XImportedDirectoryUriCatalogs
     * @uses XImportedDirectoryUriCatalogs::setName()
     * @uses XImportedDirectoryUriCatalogs::setRouteString()
     * @uses XImportedDirectoryUriCatalogs::setDescription()
     * @uses XImportedDirectoryUriCatalogs::setLastLoadedFileName()
     * @uses XImportedDirectoryUriCatalogs::setFileLoadDateTime()
     * @param string $name
     * @param string $routeString
     * @param string $description
     * @param string $lastLoadedFileName
     * @param string $fileLoadDateTime
     */
    public function __construct($name = null, $routeString = null, $description = null, $lastLoadedFileName = null, $fileLoadDateTime = '0')
    {
        $this
            ->setName($name)
            ->setRouteString($routeString)
            ->setDescription($description)
            ->setLastLoadedFileName($lastLoadedFileName)
            ->setFileLoadDateTime($fileLoadDateTime);
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XImportedDirectoryUriCatalogs
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get routeString value
     * @return string
     */
    public function getRouteString()
    {
        return $this->routeString;
    }
    /**
     * Set routeString value
     * @param string $routeString
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XImportedDirectoryUriCatalogs
     */
    public function setRouteString($routeString = null)
    {
        $this->routeString = $routeString;
        return $this;
    }
    /**
     * Get description value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDescription()
    {
        return isset($this->description) ? $this->description : null;
    }
    /**
     * Set description value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XImportedDirectoryUriCatalogs
     */
    public function setDescription($description = null)
    {
        if (is_null($description) || (is_array($description) && empty($description))) {
            unset($this->description);
        } else {
            $this->description = $description;
        }
        return $this;
    }
    /**
     * Get lastLoadedFileName value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getLastLoadedFileName()
    {
        return isset($this->lastLoadedFileName) ? $this->lastLoadedFileName : null;
    }
    /**
     * Set lastLoadedFileName value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $lastLoadedFileName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XImportedDirectoryUriCatalogs
     */
    public function setLastLoadedFileName($lastLoadedFileName = null)
    {
        if (is_null($lastLoadedFileName) || (is_array($lastLoadedFileName) && empty($lastLoadedFileName))) {
            unset($this->lastLoadedFileName);
        } else {
            $this->lastLoadedFileName = $lastLoadedFileName;
        }
        return $this;
    }
    /**
     * Get fileLoadDateTime value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getFileLoadDateTime()
    {
        return isset($this->fileLoadDateTime) ? $this->fileLoadDateTime : null;
    }
    /**
     * Set fileLoadDateTime value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $fileLoadDateTime
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XImportedDirectoryUriCatalogs
     */
    public function setFileLoadDateTime($fileLoadDateTime = '0')
    {
        if (is_null($fileLoadDateTime) || (is_array($fileLoadDateTime) && empty($fileLoadDateTime))) {
            unset($this->fileLoadDateTime);
        } else {
            $this->fileLoadDateTime = $fileLoadDateTime;
        }
        return $this;
    }
}
